# $Revision: 1.25 $, $Date: 2008-01-31 12:16:08 $
%include	/usr/lib/rpm/macros.php
%define		_class		Net
%define		_subclass	CheckIP
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - check the syntax of IPv4 adresses
Summary(pl.UTF-8):	%{_pearname} - sprawdzanie składni adresów IPv4
Name:		php-pear-%{_pearname}
Version:	1.2.1
Release:	2
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	30bd9ad56a971491be6676112bf294ed
URL:		http://pear.php.net/package/Net_CheckIP/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package validates IPv4 internet adresses.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Klasy zawarte w tym pakiecie sprawdzają poprawność adresów IPv4.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Net_CheckIP.spec,v $
Revision 1.25  2008-01-31 12:16:08  glen
- rel 2

Revision 1.24  2007-02-13 08:06:40  glen
- tabs in preamble

Revision 1.23  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.22  2006/12/26 02:10:49  adamg
- updated to 1.2.1

Revision 1.21  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.20  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.19  2006/02/16 17:47:28  glen
- 1.2.0

Revision 1.18  2005/10/05 21:00:25  glen
- rel 5

Revision 1.17  2005/09/28 21:33:15  glen
- new pear packaging

Revision 1.16  2004/12/04 13:20:19  adamg
- rebuild with new PEAR provides/requires scripts
- release 4

Revision 1.15  2004/05/30 13:13:50  adamg
- fixed english information about status of the package

Revision 1.14  2004/03/15 17:44:30  ankry
- massive cosmetics

Revision 1.13  2003/10/07 20:55:41  adamg
- do not use macros in URL

Revision 1.12  2003/08/31 20:49:10  adamg
- more specific URL

Revision 1.11  2003/05/28 08:58:42  adamg
- massive attack: added source0-md5

Revision 1.10  2003/05/25 06:25:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/01/11 22:40:31  blues
- release 3 - status info added, STBR to Ra updates

Revision 1.8  2002/10/14 23:46:09  misto
- new rpm-php-requires/provides scripts
- release 2

Revision 1.7  2002/09/15 10:44:05  blues
- fix in macros

Revision 1.6  2002/08/17 10:25:36  blues
- 1.1 (stable); STBR

Revision 1.5  2002/07/12 23:52:38  blues
- release 3 (rebuild with new rpm)

Revision 1.4  2002/07/12 09:23:26  blues
- removed not neccessary provides

Revision 1.3  2002/07/08 00:41:12  blues
- new one provides

Revision 1.2  2002/07/04 22:39:45  blues
- release 2

Revision 1.1  2002/07/01 21:51:43  blues
- initial release
  STBR
